#!/usr/bin/perl

$card=0;
# If the AUDIO variable is set to an integer, use that as the card number
if ($ENV{"AUDIO"} =~ /^\d+$/) {
  $card = $ENV{"AUDIO"};
}

sleep(15);
$command = -e "/proc/asound/card$card" ? "/usr/bin/alsamixer -c $card" : "/bin/sh";
system "$command";
